Subject: bug#48158: closed (Re: bug#48158: [PATCH] gnu: xboard: Patch path to aplay.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 May 2021 16:04:02 +0000

Your bug report

#48158: [PATCH] gnu: xboard: Patch path to aplay.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48158: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48158
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48158: [PATCH] gnu: xboard: Patch path to aplay.
From: Ludovic Courtès <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: [email-masked]
Date: Mon, 03 May 2021 18:02:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Michael Rohleder <[email-masked]> skribis:

> Fixes <http://issues.guix.gnu.org/47195>.
>
> * gnu/packages/games.scm (xboard): Patch path to aplay.
> [inputs]: Add alsa-utils.
> [arguments]: Add phase patch-aplay-path.

Applied, thanks!

Incidentally, the following still breaks on the first move:

  $ guix environment --ad-hoc xboard -- xboard
  […]
  xboard: Error writing to first chess program: Broken pipe

At first sight the reason may be that it doesn’t find ‘fairymax’ (what’s
that?) in $PATH.  I’m sure I’m missing something obvious, but I wonder
if we could make it work out of the box.

Thoughts?

Ludo’.

Subject: [PATCH] gnu: xboard: Patch path to aplay.
From: Michael Rohleder <[email-masked]>
To: [email-masked]
Cc: Michael Rohleder <[email-masked]>
Date: Sun, 2 May 2021 13:46:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixes <http://issues.guix.gnu.org/47195>.

* gnu/packages/games.scm (xboard): Patch path to aplay.
[inputs]: Add alsa-utils.
[arguments]: Add phase patch-aplay-path.
---
 gnu/packages/games.scm | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 3227b3e6fc..8bd3c95ebb 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -3323,8 +3323,19 @@ exec ~a/bin/freedink -refdir ~a/share/dink\n"
         (base32
          "1mkh36xnnacnz9r00b5f9ld9309k32jv6mcavklbdnca8bl56bib"))))
     (build-system gnu-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         ;; Fixes https://issues.guix.gnu.org/47195.
+         (add-after 'unpack 'patch-aplay-path
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "xboard.conf"
+               (("aplay -q")
+                (string-append (assoc-ref inputs "alsa-utils") "/bin/aplay -q")))
+             #t)))))
     (inputs
-     `(("gtk+" ,gtk+-2)
+     `(("alsa-utils" ,alsa-utils)
+       ("gtk+" ,gtk+-2)
        ("librsvg" ,librsvg)))
     (native-inputs
      `(("texinfo" ,texinfo)
-- 
2.31.1